let boxes = document.querySelectorAll('.checkbox');

function stepToggle(box) {
  box.classList.toggle('checked');
}

let step2Anim;
let step2AnimValues = ["m 92,8 0,84 -84,0 0,-84 84,0", "m 71.873526,32.200928 -22.864827,34.721223 -20.80093,-13.697953 -0.04616,-0.02142 -0.04521,-0.02417"];
let step2Index = 0;
function step2(box) {
  step2Anim && step2Anim.pause();
  step2Index++;
  step2Index %= 2;
  step2Anim = anime({
    targets: '.check2',
    d: {
      value: step2AnimValues[step2Index],
      duration: 500,
      easing: 'easeInQuad'
    }
  });
}
let step3Anims = [];
let step3AnimValues = [
  ["m 92,40 0,20", "m 71.873526,32.200928 -9.47197,14.542652"],
  ["m 60,92 -20,0", "m 62.40924,46.843785 -13.400541,20.078366"],
  ["m 60,8 -20,0", "m 49.008699,66.922151 -10.040913,-6.537551"],
  ["m 8,60 0,-10", "m 38.528367,59.977352 -10.411968,-6.798744"]
];
let step3Index = 0;
function step3(box) {
  step3Anims.forEach((anim) => {
    anim.pause();
  });
  step3Index++;
  step3Index %= 2;
  step3Anims.length = 0;
  step3AnimValues.forEach((animValue, index) => {
    step3Anims.push(anime({
      targets: `.check3-${index + 1}`,
      d: {
        value: animValue[step3Index],
        duration: 500,
        delay: (_, i) => { return i * 60; },
        easing: 'easeInQuad'
      }
    }));
  });
}
let steps = [stepToggle, step2, step3, stepToggle];

boxes.forEach((box, index) => {
  box.addEventListener('click', function(_) {
    steps[index](box);
  });
});